package nc.lic;

import java.text.SimpleDateFormat;
import java.util.Iterator;
import java.util.Locale;
import java.util.Set;
import nc.lic.LicenseControl;

public class CilShow {

   public static void main(String[] args) {
      StringBuilder sb = new StringBuilder();
      Set set = LicenseControl.getInstance().getAllProductCodes();
      Iterator iter = set.iterator();

      while(iter.hasNext()) {
         String dateFormat = (String)iter.next();
         int value = LicenseControl.getInstance().getInt(dateFormat);
         sb.append(dateFormat).append(" > ").append(value).append("\r\n");
      }

      SimpleDateFormat dateFormat1 = new SimpleDateFormat("yyyy-MM-dd", Locale.CHINESE);
      sb.append("ExpireDate > ").append(dateFormat1.format(LicenseControl.getInstance().getEndDate())).append("\r\n");
      System.out.println("license data :");
      System.out.println(sb.toString());
   }
}
